Below is the list of changes that have just been committed into a local
5.0 repository of mtaylor. When mtaylor does a push these changes will
be propagated to the main repository and, within 24 hours after the
push, to the public repository.
For information on how to access the public repository
see http://dev.mysql.com/doc/mysql/en/installing-source-tree.html
ChangeSet@stripped, 2007-03-21 20:46:24-07:00, mtaylor@qualinost.(none) +1 -0
BUG#27367 mysql.server should be LSB init script compliant
support-files/mysql.server.sh@stripped, 2007-03-21 20:46:20-07:00, mtaylor@qualino
st.(none) +30 -7
BUG#27367 Add force-reload and status options. Change usage message to refle
ct
Replaced a shell call to cat with shell builtin read
# This is a BitKeeper patch. What follows are the unified diffs for the
# set of deltas contained in the patch. The rest of the patch, the part
# that BitKeeper cares about, is below these diffs.
# User: mtaylor
# Host: qualinost.(none)
# Root: /home/mtaylor/src/mysql-5.0-initstatus
--- 1.54/support-files/mysql.server.sh 2007-03-21 20:46:30 -07:00
+++ 1.55/support-files/mysql.server.sh 2007-03-21 20:46:30 -07:00
@@ -359,20 +359,43 @@
fi
;;
- 'reload')
+ 'reload'|'force-reload')
if test -s "$server_pid_file" ; then
- mysqld_pid=`cat $server_pid_file`
+ read mysqld_pid < $server_pid_file
kill -HUP $mysqld_pid && log_success_msg "Reloading service MySQL"
touch $server_pid_file
else
log_failure_msg "MySQL PID file could not be found!"
+ exit 1
fi
;;
-
- *)
- # usage
- echo "Usage: $0 {start|stop|restart|reload} [ MySQL server options ]"
- exit 1
+ 'status')
+ # First, check to see if pid file exists
+ if [ -s "$server_pid_file" ] ; then
+ read mysqld_pid < $server_pid_file
+ if kill -0 $mysqld_pid 2>/dev/null ; then
+ log_success_msg "MySQL running ($mysqld_pid)"
+ exit 0
+ else
+ log_failure_msg "MySQL is not running, but PID file exists"
+ exit 1
+ fi
+ else
+ # Try to find appropriate mysqld process
+ mysqld_pid=`pidof $sbindir/mysqld`
+ if [ -z $mysqld_pid ] ; then
+ log_failure_msg "MySQL is not running"
+ exit 3
+ else
+ log_failure_msg "MySQL is running but PID file could not be found"
+ exit 4
+ fi
+ fi
+ ;;
+ *)
+ # usage
+ echo "Usage: $0 {start|stop|restart|reload|force-reload|status} [ MySQL
server options ]"
+ exit 1
;;
esac
| Thread |
|---|
| • bk commit into 5.0 tree (mtaylor:1.2405) BUG#27367 | Monty Taylor | 22 Mar |